Disabling Gluon RPM puild job
[releng.git] / jjb / ci_gate_security / anteater-report-to-gerrit.sh
index 6a5a0a5..fc3018f 100644 (file)
@@ -1,19 +1,25 @@
 #!/bin/bash
-set -o errexit
+# SPDX-license-identifier: Apache-2.0
 set -o pipefail
 export PATH=$PATH:/usr/local/bin/
+EXITSTATUS=0
 
-# If no violations were found, no lint log will exist.
+# This Log should always exist
 if [[ -e securityaudit.log ]] ; then
     echo -e "\nposting security audit report to gerrit...\n"
 
-    cat securityaudit.log  | awk -F"ERROR\ \-\ " '{print $2}' > shortlog
-
+    #check if log has errors
+    if grep ERROR securityaudit.log; then
+        EXITSTATUS=1
+    fi
+    
+    cat securityaudit.log  | awk -F"ERROR - " '{print $2}' > shortlog
+    
     ssh -p 29418 gerrit.opnfv.org \
         "gerrit review -p $GERRIT_PROJECT \
-         -m \"$(cat shortlog)\" \
-         $GERRIT_PATCHSET_REVISION \
-         --notify NONE"
-
-    exit 1
+        -m \"$(cat shortlog)\" \
+        $GERRIT_PATCHSET_REVISION \
+        --notify NONE"
+    
+    exit $EXITSTATUS
 fi